SimpleRemoteFeature.DBResolver (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.impl.SimpleRemoteFeature.DBResolver class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.impl
Class SimpleRemoteFeature.DBResolver

    java.lang.Object
      org.biojava.bio.seq.impl.SimpleRemoteFeature.DBResolver

All Implemented Interfaces:
  RemoteFeature.Resolver

Enclosing class:
  SimpleRemoteFeature

    public static class SimpleRemoteFeature.DBResolver

extends Object
implements RemoteFeature.Resolver

Constructor Summary
`SimpleRemoteFeature.DBResolver(SequenceDB seqDB)`

Method Summary
`SequenceDB` | `getSeqDB()`
`Feature` | `resolve(RemoteFeature rFeat)` Resolve rFeat.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleRemoteFeature.DBResolver

    public SimpleRemoteFeature.DBResolver(SequenceDB seqDB)

Method Detail

### getSeqDB

    public SequenceDB getSeqDB()

### resolve

    public Feature resolve(RemoteFeature rFeat)
                    throws BioException

  Description copied from interface: `RemoteFeature.Resolver`
  Resolve rFeat.

  This method returns a Feature that represents the RemoteFeature rFeat on some Sequence where all of the Regions can be represented localy. This may be an assembly of the parent sequence of rFeat and each of the Sequences that have IDs listed in the Region list of rFeat.

  Specified by:
    `resolve` in interface `RemoteFeature.Resolver`
  Parameters:
    `rFeat` - the RemoteFeature to resolve
  Returns:
    a Feature on some other Seqence where each Region of rFeat is resolved into a local Location
  Throws:
    `BioException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD